CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

/api/files/{filePath}

Read, upload, and download website files.

Response types

Name
application/json
application/octet-stream

GET

Read file information or list a directory.

Query parameters

NameTypeExampleNotes
filePathtext/images/112136/example.jpgSelect the website file or directory path.

POST

Upload a multipart file using uploadFile, or send a raw file body with its target filePath.

Query parameters

NameTypeExampleNotes
filePathtext/images/112136/example.jpgSelect the website file or directory path.
fileNametextexample.jpgFilter results by file name.
uploadFiletextexample.jpgFilter results by upload file.

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.